Package org.apache.catalina.tribes.util

## Class ExecutorFactory

- java.lang.Object
- - org.apache.catalina.tribes.util.ExecutorFactory

    public class ExecutorFactory
    extends java.lang.Object

### Field Summary

Fields
`protected static StringManager` `sm`

### Constructor Summary

Constructors
`ExecutorFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.concurrent.ExecutorService` `newThreadPool​(int minThreads, int maxThreads, long maxIdleTime, java.util.concurrent.TimeUnit unit)`
`static java.util.concurrent.ExecutorService` `newThreadPool​(int minThreads, int maxThreads, long maxIdleTime, java.util.concurrent.TimeUnit unit, java.util.concurrent.ThreadFactory threadFactory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sm

    protected static final StringManager sm

### Constructor Detail

#### ExecutorFactory

    public ExecutorFactory()

### Method Detail

#### newThreadPool

    public static java.util.concurrent.ExecutorService newThreadPool​(int minThreads,
                                                                     int maxThreads,
                                                                     long maxIdleTime,
                                                                     java.util.concurrent.TimeUnit unit)

#### newThreadPool

    public static java.util.concurrent.ExecutorService newThreadPool​(int minThreads,
                                                                     int maxThreads,
                                                                     long maxIdleTime,
                                                                     java.util.concurrent.TimeUnit unit,
                                                                     java.util.concurrent.ThreadFactory threadFactory)